Your message dated Wed, 11 Sep 2019 14:47:29 +0000
with message-id <e1i83u5-000dct...@fasolo.debian.org>
and subject line Bug#916385: fixed in pd-lyonpotpourri 2.0+git20121009-3
has caused the Debian Bug report #916385,
regarding pd-lyonpotpourri FTCBFS: strips with the wrong strip
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
916385: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=916385
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: pd-lyonpotpourri
Version: 2.0+git20121009-2
Tags: patch
User: helm...@debian.org
Usertags: rebootstrap

pd-lyonpotpourri fails to cross build from source, because it strips
with the build architecture strip during make install. This not only
breaks cross compilation, but also breaks generation of a -dbgsym
package as well as DEB_BUILD_OPTIONS=nostrip. Not stripping fixes all
of that. Please consider applying the attached patch.

Helmut
diff --minimal -Nru pd-lyonpotpourri-2.0+git20121009/debian/changelog 
pd-lyonpotpourri-2.0+git20121009/debian/changelog
--- pd-lyonpotpourri-2.0+git20121009/debian/changelog   2018-02-01 
23:20:12.000000000 +0100
+++ pd-lyonpotpourri-2.0+git20121009/debian/changelog   2018-12-13 
21:08:33.000000000 +0100
@@ -1,3 +1,10 @@
+pd-lyonpotpourri (2.0+git20121009-2.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Defer all stripping to dh_strip. (Closes: #-1)
+
+ -- Helmut Grohne <hel...@subdivi.de>  Thu, 13 Dec 2018 21:08:33 +0100
+
 pd-lyonpotpourri (2.0+git20121009-2) unstable; urgency=medium
 
   * Added patch to fix spelling errors
diff --minimal -Nru pd-lyonpotpourri-2.0+git20121009/debian/rules 
pd-lyonpotpourri-2.0+git20121009/debian/rules
--- pd-lyonpotpourri-2.0+git20121009/debian/rules       2018-02-01 
23:20:12.000000000 +0100
+++ pd-lyonpotpourri-2.0+git20121009/debian/rules       2018-12-13 
21:08:33.000000000 +0100
@@ -21,7 +21,7 @@
                $(empty)
 
 override_dh_auto_install:
-       dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
+       dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir) STRIP=:
 # fix permissions
        find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
                chmod 0664 {} +

--- End Message ---
--- Begin Message ---
Source: pd-lyonpotpourri
Source-Version: 2.0+git20121009-3

We believe that the bug you reported is fixed in the latest version of
pd-lyonpotpourri, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 916...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
IOhannes m zmölnig (Debian/GNU) <umlae...@debian.org> (supplier of updated 
pd-lyonpotpourri package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 Sep 2019 15:39:07 +0200
Source: pd-lyonpotpourri
Architecture: source
Version: 2.0+git20121009-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Multimedia Maintainers <debian-multime...@lists.debian.org>
Changed-By: IOhannes m zmölnig (Debian/GNU) <umlae...@debian.org>
Closes: 916385
Changes:
 pd-lyonpotpourri (2.0+git20121009-3) unstable; urgency=medium
 .
   [ Ondřej Nový ]
   * Use debhelper-compat instead of debian/compat
 .
   [ IOhannes m zmölnig ]
   * Defer all stripping to dh_strip.
     Thanks to Helmut Grohne <hel...@subdivi.de> (Closes: #916385)
   * Remove Hans-Christoph Steiner from Uploaders as he requested
   * Declare that building this package doesn't require "root" powers
   * Remove obsolete d/source/local-options
   * Bump dh-compat to 12
   * Bump standards version to 4.4.0
Checksums-Sha1:
 d7343bcc7ce4ffa8cd3436602c7e33ebfa060420 2332 
pd-lyonpotpourri_2.0+git20121009-3.dsc
 3c127cdf454738efe60128e2cbdab94253c3be0c 9784 
pd-lyonpotpourri_2.0+git20121009-3.debian.tar.xz
Checksums-Sha256:
 57d372ffeea40bb56be0bd839576b41f4a9932761eb8699fb0bf7ed1d9b24172 2332 
pd-lyonpotpourri_2.0+git20121009-3.dsc
 2957c355f0efafe42a02f498730fdc586e5e0c48fb297b3195077f8a59f81212 9784 
pd-lyonpotpourri_2.0+git20121009-3.debian.tar.xz
Files:
 404f4b53b2434da20f5b96fe88885ce9 2332 sound optional 
pd-lyonpotpourri_2.0+git20121009-3.dsc
 64bd99b27dad80f63fc3ee5daf8dfb51 9784 sound optional 
pd-lyonpotpourri_2.0+git20121009-3.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJQBAEBCAA6FiEEdAXnRVdICXNIABVttlAZxH96NvgFAl14+jccHGpvaGFubmVz
Lnptb2VsbmlnQGt1Zy5hYy5hdAAKCRC2UBnEf3o2+AczD/9FxItXw3gASaEYEmLs
jJpJ5rlWTK2UCv1OdofClv+Uui93AztJwxWMyD922G5XqL50bGoeXkClT41Q7jSv
216EW+93ris6c/w/ygO2aySL1FLVDiyCG/UEiGUdo3oX6YP6piJqL/E5v7qncQvL
HE61qHMmHPIx8kCnBOKwRryHs4gWgbsy6TeKPZNXM7ifDCqgNEzffbwBUeFM1XAm
5G4+oG+oyd3zAfLzfoa/LMi5Z4+LydOJhlPUlAUBZ0vYsYwAR/VxjeK/y/BZ9neJ
xDkip0NMFpZvpy5p0pn1S3551CheZ/EdXHriHPUBqGsD0SHvnwHDZI/mynmQtQUy
XyUmto/JhMJQTtvyASFy8DvXpOXTBN3Lk1LEGu+WFfVgpepeD2/IttFGVDhsFXek
LTa9ylErMvMa4ZQjK9y5Mv+2/d8N25SnHVHqUkZ8A9lLH0yBe6KKiob+UmuMzPtd
Z5MvXOQOivGVJ08eN7+wIDIL2KvgrYSwIA+PmYu+Sqx4K1WonLSukGYK/4ryOL2W
XncdhtIGgwY+cjVy2nOLj9rAqrQ9GW1MKI6aWu4ZKgAbnWuT4lWmkbRqCSPUeJZk
5zr38wG3gjUi61a43cRW3gZH9Vgdb8y5LGIINVWRbaIK609P24rQsZGkDa3kSVa+
B0OTRWHD90Sr5PuYrhJZHig2/g==
=090w
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to